Package org.apache.any23.extractor

## Enum ExtractionParameters.ValidationMode

- java.lang.Object
- - java.lang.Enum<ExtractionParameters.ValidationMode>
  - - org.apache.any23.extractor.ExtractionParameters.ValidationMode

- All Implemented Interfaces:
    `Serializable`, `Comparable<ExtractionParameters.ValidationMode>`
  Enclosing class:
    ExtractionParameters

      public static enum ExtractionParameters.ValidationMode
      extends Enum<ExtractionParameters.ValidationMode>

  Declares the supported validation actions.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `NONE` |
    `VALIDATE` |
    `VALIDATE_AND_FIX` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ExtractionParameters.ValidationMode` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ExtractionParameters.ValidationMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final ExtractionParameters.ValidationMode NONE

    - #### VALIDATE

          public static final ExtractionParameters.ValidationMode VALIDATE

    - #### VALIDATE_AND_FIX

          public static final ExtractionParameters.ValidationMode VALIDATE_AND_FIX

  - ### Method Detail

    - #### values

          public static ExtractionParameters.ValidationMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExtractionParameters.ValidationMode c : ExtractionParameters.ValidationMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExtractionParameters.ValidationMode valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null